Bug 114027 - cvs: recurse.c:638: do_recursion: Assertion `repository != ((void *)0)' failed
cvs: recurse.c:638: do_recursion: Assertion `repository != ((void *)0)' failed
Product: Red Hat Raw Hide
Classification: Retired
Component: cvs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-01-21 10:45 EST by Harald Hoyer
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-04 09:24:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
assert correctly (333 bytes, patch)
2004-01-21 10:46 EST, Harald Hoyer
no flags Details | Diff

  None (edit)
Description Harald Hoyer 2004-01-21 10:45:15 EST
$ cvs -d ~/cvsroot co -p -r T_4Suite-1_0-0_0_a3 rpms/4Suite/Makefile
cvs: recurse.c:638: do_recursion: Assertion `repository != ((void
*)0)' failed.
cvs [checkout aborted]: received abort signal

the assert is wrong!
Comment 1 Harald Hoyer 2004-01-21 10:46:03 EST
Created attachment 97147 [details]
assert correctly
Comment 2 Harald Hoyer 2004-01-21 10:54:57 EST
oops --- patch is wrong... forget it!
Comment 3 Harald Hoyer 2004-01-21 10:55:18 EST
investigating what could be wrong
Comment 4 Harald Hoyer 2004-01-21 10:58:24 EST
ok... user error... there was a local checkout which seemed to disturb
the cvs co with -p ... strange
Comment 5 Harald Hoyer 2004-01-21 11:08:53 EST
Has s.th. to do with:

If I do a checkout without -p first, it works afterwards

Note You need to log in before you can comment on or make changes to this bug.